## cyrus-imapd-2.4 2.4.17+caldav~beta9

=== doc/text/Makefile ===
# Makefile for cyrus documentation directory
#
# Copyright (c) 1994-2008 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any legal
#    details, please contact
#      Carnegie Mellon University
#      Center for Technology Transfer and Enterprise Creation
#      4615 Forbes Avenue
#      Suite 302
#      Pittsburgh, PA  15213
#      (412) 268-7393, fax: (412) 268-7395
#      innovation@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $Id: Makefile,v 1.6 2010/01/06 17:01:29 murch Exp $

all: htmlstrip docs clean

docs:
	for file in ../*.html; \
	do \
		echo "=== $$file ==="; \
		./htmlstrip $$file > `basename $$file .html`; \
	done
	@echo "== done =="

htmlstrip: htmlstrip.c
	$(CC) $(CFLAGS) -o htmlstrip htmlstrip.c

clean:
	rm -f *.o *~ Makefile.bak htmlstrip

realclean: clean
	rm -f $(DOCS)

ci: docs
	cvs ci -m 'updated from html source' $(DOCS)

distclean: clean

depend:

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== tools/vzic/Makefile ===

#
# You will need to set this to the directory that the Olson timezone data
# files are in.
#
OLSON_DIR = .


# This is used as the PRODID property on the iCalendar files output.
# It identifies the product which created the iCalendar objects.
# So you need to substitute your own organization name and product.
PRODUCT_ID = -//CyrusIMAP.org//Cyrus %s//EN

# This is what libical-evolution uses.
#PRODUCT_ID = -//Ximian//NONSGML Evolution Olson-VTIMEZONE Converter//EN


# This is used to create unique IDs for each VTIMEZONE component.
# The prefix is put before each timezone city name. It should start and end
# with a '/'. The first part, i.e. 'myorganization.org' below, should be
# a unique vendor ID, e.g. use a hostname. The part after that can be
# anything you want. We use a date and version number for libical. The %D
# gets expanded to today's date. There is also a vzic-merge.pl which can be
# used to merge changes into a master set of VTIMEZONEs. If a VTIMEZONE has
# changed, it bumps the version number on the end of this prefix. */
#TZID_PREFIX = /myorganization.org/%D_1/
TZID_PREFIX =

# This is what libical-evolution uses.
#TZID_PREFIX = /softwarestudio.org/Olson_%D_1/


# Set any -I include directories to find the libical header files, and the
# libical library to link with. You only need these if you want to run the
# tests. You may need to change the '#include <ical.h>' line at the top of
# test-vzic.c as well.
LIBICAL_CFLAGS =
LIBICAL_LDADD = -lical


#
# You shouldn't need to change the rest of the file.
#

GLIB_CFLAGS = `pkg-config --cflags glib-2.0`
GLIB_LDADD = `pkg-config --libs glib-2.0`

CFLAGS = -g -I../.. -DOLSON_DIR=\"$(OLSON_DIR)\" -DPRODUCT_ID='"$(PRODUCT_ID)"' -DTZID_PREFIX='"$(TZID_PREFIX)"' $(GLIB_CFLAGS) $(LIBICAL_CFLAGS)

OBJECTS = vzic.o vzic-parse.o vzic-dump.o vzic-output.o

all: vzic

vzic: $(OBJECTS)
	$(CC) $(OBJECTS) $(GLIB_LDADD) -o vzic

test-vzic: test-vzic.o
	$(CC) test-vzic.o $(LIBICAL_LDADD) -o test-vzic

# Dependencies.
$(OBJECTS): vzic.h
vzic.o vzic-parse.o: vzic-parse.h
vzic.o vzic-dump.o: vzic-dump.h
vzic.o vzic-output.o: vzic-output.h

test-parse: vzic
	./vzic-dump.pl $(OLSON_DIR)
	./vzic --dump --pure
	@echo
	@echo "#"
	@echo "# If either of these diff commands outputs anything there may be a problem."
	@echo "#"
	diff -ru zoneinfo/ZonesPerl zoneinfo/ZonesVzic
	diff -ru zoneinfo/RulesPerl zoneinfo/RulesVzic

test-changes: vzic test-vzic
	./test-vzic --dump-changes
	./vzic --dump-changes --pure
	@echo
	@echo "#"
	@echo "# If this diff command outputs anything there may be a problem."
	@echo "#"
	diff -ru zoneinfo/ChangesVzic test-output

clean:
	-rm -rf vzic $(OBJECTS) *~ ChangesVzic RulesVzic ZonesVzic RulesPerl ZonesPerl test-vzic test-vzic.o

.PHONY: clean perl-dump test-parse

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.17+caldav~beta9-3) unstable; urgency=medium

  * Add explicit 'exit 0' at the end of init-helper (Closes: #739318)
  * Add ZONEINFO to the list of know databases (Closes: #739335)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Feb 2014 11:41:51 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta9-2) unstable; urgency=medium

  * Add support for systemd
  * Silence spurious warning when lock and proc dirs doesn't exist
  * Enable TLSv1.2 support in imclient, and disable SSLv2 in the same patch (Closes: #732582)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 17:28:29 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta9-1) unstable; urgency=low

  * New upstream version 2.4.17+caldav~beta9
  * Update patches for the 2.4.17+caldav~beta9 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2013 17:19:19 +0100

=== debian/control ===
Source: cyrus-imapd-2.4
Section: mail
Priority: extra
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
	   Sven Mueller <sven@debian.org>,
	   Benjamin Seidenberg <benjamin@debian.org>,
	   Ondřej Surý <ondrej@debian.org>,
	   Anthony Prades <toony.debian@chezouam.net>
Standards-Version: 3.9.5
Build-Depends: dh-autoreconf,
	       bison,
	       comerr-dev,
	       debhelper (>= 9),
	       dh-systemd,
	       flex,
	       ghostscript,
	       groff,
	       hardening-wrapper,
	       libdb-dev,
	       libical-dev,
	       libkvm-dev [kfreebsd-any],
	       libopendkim-dev,
	       libpam0g-dev,
	       libsasl2-dev (>= 2.1.9),
	       libsnmp-dev,
	       libsqlite3-dev,
	       libssl-dev,
	       libtool (>= 2.2~),
	       libxml2-dev,
	       libwrap0-dev,
	       libzephyr-dev,
	       perl,
	       pkg-config,
	       po-debconf,
	       transfig,
	       xutils-dev
Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/cyrus-imapd-2.4.git
Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git
Homepage: http://www.cyrusimap.org/

Package: cyrus-common-2.4
Architecture: any
Section: mail
Depends: cyrus-common (>= ${source:Version}~), ssmtp | mail-transport-agent, netbase (>= 4.07), gawk, libsasl2-modules, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4 | cyrus-caldav-2.4
Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-caldav-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50)
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: cyrus-doc-2.4
Architecture: all
Section: doc
Depends: ${misc:Depends}
Provides: cyrus-doc
Conflicts: cyrus-doc (<< ${source:Version})
Replaces: cyrus-doc (<< ${source:Version})
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-imapd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-imapd, imap-server
Conflicts: cyrus-imapd (<< ${source:Version}), imap-server
Replaces: cyrus-imapd (<< ${source:Version}), cyrus-common-2.4 (<< 2.4.8-6)
Breaks: cyrus-common (<< 2.4.8-6)
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-pop3d-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-pop3d, pop3-server
Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server
Replaces: cyrus-pop3d (<< ${source:Version})
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-admin-2.4
Architecture: all
Section: mail
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
Suggests: sasl2-bin
Provides: cyrus-admin
Conflicts: cyrus-admin (<< ${source:Version})
Replaces: cyrus-admin (<< ${source:Version})
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-murder-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 (= ${binary:Version}), cyrus-pop3d-2.4 (= ${binary:Version})
Provides: cyrus-murder
Conflicts: cyrus-murder (<< ${source:Version})
Replaces: cyrus-murder (<< ${source:Version})
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-replication-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), cyrus-imapd-2.4 (= ${binary:Version}) | cyrus-pop3d-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-replication
Replaces: cyrus-replication (<< ${source:Version}), cyrus-common-2.4 (<< 2.4.8-6)
Conflicts: cyrus-replication (<< ${source:Version})
Breaks: cyrus-common-2.4 (<< 2.4.8-6)
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-nntpd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-nntpd, news-transport-system
Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system
Replaces: cyrus-nntpd (<< ${source:Version})
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-caldav-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-caldav
Conflicts: cyrus-caldav (<< ${source:Version})
Replaces: cyrus-caldav (<< ${source:Version})
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-clients-2.4
Architecture: any
Section: mail
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-clients
Conflicts: cyrus-clients (<< ${source:Version})
Replaces: cyrus-clients (<< ${source:Version})
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-dev-2.4
Architecture: any
Section: devel
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), cyrus-common-2.4 (= ${binary:Version}), libsasl2-dev (>= 2.1.9), ${misc:Depends}
Provides: cyrus-dev
Conflicts: cyrus-dev (<< ${source:Version})
Replaces: cyrus-dev (<< ${source:Version})
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-common
Architecture: all
Depends: ${misc:Depends}, adduser, db-util, db-upgrade-util
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: libcyrus-imap-perl24
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: libcyrus-imap-perl
Conflicts: libcyrus-imap-perl (<< ${source:Version})
Replaces: libcyrus-imap-perl (<< ${source:Version})
Section: perl
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-clients
Architecture: all
Depends: cyrus-clients-2.4, ${misc:Depends}
Description: Cyrus mail system - test clients (metapackage)
 This is an empty package that depends on the current "best" version
 of cyrus-clients (currently cyrus-clients-2.4), as determined by the

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

#
# Please refer to debian/README.source for instructions
# TODO: needs update
#

#Hardening Wrapper
export DEB_BUILD_HARDENING=1

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export DOCPKG=cyrus-doc-2.4
export TMPPKG := $(CURDIR)/debian/tmp
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

CFLAGS=-Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
LDFLAGS=-Wl,-z,defs -Wl,--as-needed

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Extra version information to add to Cyrus IMAPd ID
DEBVERSION ?= $(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: \(.*-\)/\1/p')
EXTRA_IDENT := Debian-$(DEBVERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Other oddities
ifneq (,$(findstring strict,$(DEB_BUILD_OPTIONS)))
	CONFFLAGS += --enable-warnings-are-errors
endif

%:
	dh $@ --with autoreconf --with=systemd --parallel

override_dh_autoreconf:
	dh_autoreconf --as-needed autoreconf -- -f -i -I cmulocal

override_dh_auto_clean:
	dh_auto_clean
	rm -f build-indep-stamp build-arch-stamp configure-stamp install-arch-stamp install-indep-stamp build-stamp build-prepare-stamp
	rm -f config.h config.cache config.status config.log stamp-config confdefs.h
	rm -f mkinstalldirs
	rm -f netnews/Makefile perl/imap/Makefile.old perl/sieve/managesieve/Makefile.old snmp/Makefile Makefile et/Makefile
	rm -f doc/pod2htm*
	rm -f master/makedepend.log 
	rm -f debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt debian/README.configure-options

override_dh_auto_configure:
	# Rebuild the build system
	automake -f -a 2>/dev/null || true
	dh_auto_configure CFLAGS="$(CFLAGS)" \
	 LDFLAGS="$(LDFLAGS)" -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --prefix=/usr/share --exec-prefix=/usr --libexecdir=/usr/sbin \
	 --bindir=/usr/sbin --sbindir=/usr/sbin \
	 --includedir=/usr/include/cyrus --mandir=/usr/share/man \
	 --datadir=/usr/share/cyrus --sysconfdir=/etc \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --mandir=/usr/share/man \
	 --with-cyrus-prefix=/usr/lib/cyrus \
	 --with-lock=fcntl \
	 --with-perl=/usr/bin/perl \
	 --with-openssl=/usr \
	 --with-bdb=db \
	 --with-bdb-libdir=/usr/lib --with-bdb-incdir=/usr/include \
	 --enable-murder --enable-nntp --enable-replication \
	 --disable-listext --with-sasl=/usr \
	 --enable-idled \
	 --enable-http \
	 --with-opendkim-libdir=/usr/include/opendkim \
	 --with-opendkim-incdir=/usr/lib
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-com_err="" \
	 --with-pidfile=/var/run/cyrmaster.pid \
	 --with-syslogfacility=MAIL \
	 --with-ucdsnmp=/usr
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
		>> debian/README.configure-options
	sed -i 's/ -lsensors//' master/Makefile


override_dh_auto_build:
	PERL_MM_OPT="INSTALLDIRS=vendor" $(MAKE)
	# store database configuration for possible automatic
	# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep '_db"' lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old
	#
	# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEBVERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi
	# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(TMPPKG)

	# install the cyrus tool
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin

	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)

	# We rename some utils, so we need to sort out the manpages
	for i in master deliver ; do \
		mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyr$$i.8 ; \
	done

	# Move all manpages under cyrus- namespace
	install -m 644 debian/cyrus-makedirs.8 debian/cyrus-arbitronsort.8 debian/cyrus-dump.8 \
		$(TMPPKG)/usr/share/man/man8/
	for i in master reconstruct quota deliver \
	         mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	         tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
		 cyr_expire unexpunge sync_client sync_reset cyr_synclog \
		 cyr_dbtool cyr_df ctl_zoneinfo; do \
		mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
	done

	# SNMP files
	install -d -m 755 $(TMPPKG)/usr/share/snmp/mibs
	install -m 644 master/CYRUS-MASTER.mib $(TMPPKG)/usr/share/snmp/mibs/CYRUS-MASTER-MIB.txt

	# Install cyradm icons
	install -d -m 755 $(TMPPKG)/usr/share/icons/mini
	install -m 644 debian/cyradm-32x32.xpm $(TMPPKG)/usr/share/icons/cyradm.xpm
	install -m 644 debian/cyradm-16x16.xpm $(TMPPKG)/usr/share/icons/mini/cyradm.xpm

	# Install debian-provided scripts
	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
	install debian/cyrus-init-helper $(TMPPKG)/usr/lib/cyrus/bin/init-helper
	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb

	# and logcheck files
	install -d -m 755 $(TMPPKG)/etc/logcheck/ignore.d.server/ $(TMPPKG)/etc/logcheck/violations.ignore.d/
	install -m 644 debian/logcheck.ignore $(TMPPKG)/etc/logcheck/ignore.d.server/cyrus-imapd
	install -m 644 debian/logcheck.violations.ignore $(TMPPKG)/etc/logcheck/violations.ignore.d/cyrus-imapd

	# Install the stuff needed for upgrades
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
	for i in convert-sieve.pl dohash rehash undohash translatesieve upgradesieve masssievec; do \
		install -m 755 tools/$$i $(TMPPKG)/usr/lib/cyrus/upgrade ;\
	done

	# And other upgrade helpers
	install -m 644 debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt \
		   $(TMPPKG)/usr/lib/cyrus

	# And other misc useful tools
	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort

	# Install imtest and its symlinks
	# mv $(TMPPKG)/usr/bin/imtest $(CURDIR)/debian/cyrus-clients-2.4/usr/bin
	for i in $(TMPPKG)/usr/bin/*test ; do \

=== debian/watch ===
version=3
ftp://ftp.cyrusimap.org/cyrus-imapd/cyrus-imapd-(2\.4\..*).tar.(?:gz|bz2)

## cyrus-imapd-2.4 2.4.17+caldav~beta10

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.17+caldav~beta10-5) unstable; urgency=high

  * Don't link transitional packages to cyrus-common documentation
    (Closes: #755705)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 11:05:07 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-4) unstable; urgency=high

  * Remove obsolete cyrus-admin, cyrus-clients and libcyrus-imap-perl
    postinst scripts (Closes: #757521, #757756)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Aug 2014 11:01:04 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-3) unstable; urgency=medium

  * Add versioned depends between dummy to real versionless packages
  * Fix Vcs fields (s/git.debian.org/anonscm.debian.org)
  * Remove dependency on cyrus-common where not needed (Closes: #757046)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2014 12:01:18 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-2) experimental; urgency=medium

  * Drop versioning from the cyrus-imapd package
  * Reduce the duplication of files by symlinking the murder binaries to
    their counterparts in cyrus-{common,imapd,pop3d}

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Jul 2014 17:08:47 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-1) unstable; urgency=medium

  * New upstream version 2.4.17+caldav~beta10

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Jul 2014 10:28:35 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-12) unstable; urgency=medium

  * Fix binNMUability by linking docs to cyrus-common-2.4 (Closes: #755705)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 18:13:36 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-11) unstable; urgency=medium

  [ gregor herrmann ]
  * Make debian/libcyrus-imap-perl24.install executable, and use
    $Config{vendorarch} to get correct perl library path.
    (Closes: #755108)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jul 2014 11:57:08 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-10) unstable; urgency=medium

  * Re-enable ptloader server and ptclient utilities again
    (Closes: #754786)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2014 16:16:08 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-9) unstable; urgency=medium

  * Use debhelper 9 instead of hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 09:51:18 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-8) unstable; urgency=medium

  * Use system provided UnicodeData.txt to seamlessly support new
    Unicode versions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jun 2014 09:03:54 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-7) unstable; urgency=medium

  * Use default-mta instead of postfix

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:27:11 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-6) unstable; urgency=medium

  * Switch from ssmtp to postfix as default MTA

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:04:02 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-5) unstable; urgency=high

  * Fix missing GUID for binary appends (Closes: #709799)
  * Apply upstream fix to unbroke nntpd (Closes: #734648)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 May 2014 12:41:47 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Update the PIDFILE name in init script (Closes: #743013)
  * Fix typo in cyrus-common systemd service file (Closes: #744912)

  [ Tom Yu ]
  * Fix imtest hanging when receiving long responses over SSL (Closes: #747561)

  [ Ondřej Surý ]
  * Remove extra -lpci from net-snmp-config --agent-libs output (Closes: #747806)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 May 2014 09:48:16 +0200

=== debian/control ===
Source: cyrus-imapd-2.4
Section: mail
Priority: extra
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
	   Sven Mueller <sven@debian.org>,
	   Benjamin Seidenberg <benjamin@debian.org>,
	   Ondřej Surý <ondrej@debian.org>,
	   Anthony Prades <toony.debian@chezouam.net>
Standards-Version: 3.9.5
Build-Depends: dh-autoreconf,
	       bison,
	       comerr-dev,
	       debhelper (>= 9),
	       dh-systemd,
	       flex,
	       ghostscript,
	       groff,
	       libdb-dev,
	       libical-dev,
	       libkvm-dev [kfreebsd-any],
	       libopendkim-dev,
	       libpam0g-dev,
	       libsasl2-dev (>= 2.1.9),
	       libsnmp-dev,
	       libsqlite3-dev,
	       libssl-dev,
	       libtool (>= 2.2~),
	       libxml2-dev,
	       libwrap0-dev,
	       libzephyr-dev,
	       perl,
	       pkg-config,
	       po-debconf,
	       transfig,
	       unicode-data,
	       xutils-dev,
	       libldap2-dev,
	       libkrb5-dev
Vcs-Git: git://anonscm.debian.org/pkg-cyrus-imapd/cyrus-imapd-2.4.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git
Homepage: http://www.cyrusimap.org/

Package: cyrus-common
Architecture: any
Section: mail
Depends: adduser,
	 db-util,
	 db-upgrade-util,
	 default-mta | mail-transport-agent,
	 netbase (>= 4.07),
	 gawk,
	 libsasl2-modules,
	 ${shlibs:Depends},
	 ${perl:Depends},
	 ${misc:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: cyrus-clients,
	  cyrus-admin,
	  cyrus-imapd,
	  cyrus-pop3d,
	  cyrus-murder,
	  cyrus-replication,
	  cyrus-nntpd,
	  cyrus-caldav,
	  cyrus-doc,
	  sasl2-bin,
	  apt-listchanges (>= 2.35)
Replaces: cyrus-common-2.4 (<< 2.4.17+caldav~beta10-2~)
Breaks: cyrus-common-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: cyrus-doc-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-doc-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: any
Section: mail
Depends: cyrus-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: imap-server
Conflicts: imap-server
Breaks: cyrus-imapd-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-imapd-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: any
Section: mail
Depends: cyrus-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: pop3-server
Conflicts: pop3-server
Breaks: cyrus-pop3d-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-pop3d-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: all
Section: mail
Pre-Depends: dpkg (>= 1.17.5)
Depends: libcyrus-imap-perl (>= ${binary:Version}),
	 ${misc:Depends},
	 ${perl:Depends}
Suggests: sasl2-bin
Breaks: cyrus-admin-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-admin-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Section: mail
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
	 cyrus-imapd (= ${binary:Version}),
	 cyrus-pop3d (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Breaks: cyrus-murder-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-murder-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Section: mail
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
	 cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Breaks: cyrus-replication-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-replication-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: any
Section: mail
Depends: cyrus-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: news-transport-system
Conflicts: news-transport-system
Breaks: cyrus-nntpd-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-nntpd-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: any
Section: mail
Depends: cyrus-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: cyrus-caldav-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-caldav-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.5)
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Breaks: cyrus-clients-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-clients-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: any
Section: devel
Depends: libcyrus-imap-perl (>= ${binary:Version}),
	 cyrus-common (= ${binary:Version}),
	 libsasl2-dev (>= 2.1.9),
	 ${misc:Depends}
Breaks: cyrus-dev-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-dev-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends: ${perl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Breaks: libcyrus-imap-perl24 (<< 2.4.17+caldav~beta10-2~)
Replaces: libcyrus-imap-perl24 (<< 2.4.17+caldav~beta10-2~)
Section: perl
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-common-2.4
Architecture: all
Section: oldlibs
Priority: extra
Depends: cyrus-common (>= ${source:Version}~),
	 ${misc:Depends}
Description: Cyrus mail system - common files [dummy package]
 This package is empty transitional package and can be safely removed.

Package: cyrus-doc-2.4
Architecture: all
Section: oldlibs
Priority: extra
Depends: cyrus-doc (>= ${source:Version}~),
	 ${misc:Depends}
Description: Cyrus mail system - documentation files [dummy package]
 This package is empty transitional package and can be safely removed.

Package: cyrus-imapd-2.4
Architecture: all
Section: oldlibs
Priority: extra
Depends: cyrus-imapd (>= ${source:Version}~),
	 ${misc:Depends}
Description: Cyrus mail system - IMAP support [dummy package]
 This package is empty transitional package and can be safely removed.

Package: cyrus-pop3d-2.4
Architecture: all
Section: oldlibs
Priority: extra
Depends: cyrus-pop3d (>= ${source:Version}~),
	 ${misc:Depends}
Description: Cyrus mail system - POP3 support [dummy package]
 This package is empty transitional package and can be safely removed.

Package: cyrus-admin-2.4
Architecture: all
Section: oldlibs
Priority: extra
Depends: cyrus-admin (>= ${source:Version}~),
	 ${misc:Depends}
Description: Cyrus mail system - administration tools [dummy package]
 This package is empty transitional package and can be safely removed.

Package: cyrus-murder-2.4
Architecture: all
Section: oldlibs
Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,20 @@
 # TODO: needs update
 #
 
-#Hardening Wrapper
-export DEB_BUILD_HARDENING=1
+# Debian Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.svn:.git
 
-export DOCPKG=cyrus-doc-2.4
+export DOCPKG=cyrus-doc
 export TMPPKG := $(CURDIR)/debian/tmp
 export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)
 
-CFLAGS=-Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-LDFLAGS=-Wl,-z,defs -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -49,7 +51,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf --with=systemd --parallel
+	dh $@ --with autoreconf,systemd --parallel
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed autoreconf -- -f -i -I cmulocal
@@ -67,8 +69,7 @@
 override_dh_auto_configure:
 	# Rebuild the build system
 	automake -f -a 2>/dev/null || true
-	dh_auto_configure CFLAGS="$(CFLAGS)" \
-	 LDFLAGS="$(LDFLAGS)" -- \
+	dh_auto_configure -- \
 	 $(CONFFLAGS) \
 	 --with-extraident=$(EXTRA_IDENT) \
 	 --prefix=/usr/share --exec-prefix=/usr --libexecdir=/usr/sbin \
@@ -79,6 +80,9 @@
 	 --localstatedir=/var/lib/cyrus \
 	 --mandir=/usr/share/man \
 	 --with-cyrus-prefix=/usr/lib/cyrus \
+	 --enable-gssapi \
+	 --with-gss_impl=mit \
+	 --with-ldap=/usr \
 	 --with-lock=fcntl \
 	 --with-perl=/usr/bin/perl \
 	 --with-openssl=/usr \
@@ -202,6 +206,3 @@
 	# And other misc useful tools
 	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort
 
-	# Install imtest and its symlinks
-	# mv $(TMPPKG)/usr/bin/imtest $(CURDIR)/debian/cyrus-clients-2.4/usr/bin
-	for i in $(TMPPKG)/usr/bin/*test ; do \
